Class List Method List File List

# Class: Concurrent::LockFreeStack::Empty

Inherits:
  Node
  - Object
  - Node
  - Concurrent::LockFreeStack::Empty
  show all
Defined in:
  lib/concurrent/edge/lock_free_stack.rb

## Instance Attribute Summary (collapse)

- - (undocumented) next_node inherited from Node readonly

  TODO (pitr-ch 20-Dec-2016): Could be unified with Stack class?.

- - (undocumented) value inherited from Node

  TODO (pitr-ch 20-Dec-2016): Could be unified with Stack class?.

## Instance Method Summary (collapse)

- - (undocumented) next_node

## Constructor Details

This class inherits a constructor from Concurrent::LockFreeStack::Node

## Instance Attribute Details

### - (`undocumented`) next_node (readonly) Originally defined in class Node

TODO (pitr-ch 20-Dec-2016): Could be unified with Stack class?

### - (`undocumented`) value Originally defined in class Node

TODO (pitr-ch 20-Dec-2016): Could be unified with Stack class?

## Instance Method Details

### - (`undocumented`) next_node

    24
    25
    26

    # File 'lib/concurrent/edge/lock_free_stack.rb', line 24

    def next_node
      self
    end